logo
Apache Lounge
Webmasters

 


About

Forum Index Downloads Search Register Log in  RSS Apache Lounge
 



Keep Server Online

If you find the Apache Lounge, the downloads and overall help useful, please express your satisfaction with a donation.

or

Bitcoin

A donation makes a contribution towards the costs, the time and effort that's going in this site and building.

Thank You! Steffen

Apache Lounge is not sponsored.

Your donations will help to keep this site alive and well, and continuing building binaries.



modsecurity build for apache 2.0.x

 
Post new topic   Reply to topic    Apache Forum Index -> Apache third-party Modules



View previous topic :: View next topic  
Author Message
vmarian



Joined: 25 Mar 2017
Posts: 2

PostPosted: Sun 26 Mar '17 0:10    Post subject: modsecurity build for apache 2.0.x Reply with quote

Hi, Just wondering if there is an Apache Lounge modsecurity build that works for Apache 2.0.x.

Thanks,
Marian
Back to top
admin
Site Admin


Joined: 15 Oct 2005
Posts: 551

PostPosted: Mon 27 Mar '17 11:29    Post subject: Reply with quote

nope, only for 2.2 and 2.4
Back to top
glsmith
Moderator


Joined: 16 Oct 2007
Posts: 2123
Location: Sun Diego, USA

PostPosted: Mon 27 Mar '17 18:55    Post subject: Reply with quote

I have an old 2.5.9 version built for 2.0.x.
This link will only be good for 48 hours:
https://www.apachehaus.net:9443/modsecurity2-2.5.9-2.0-x86.zip

If your version is before 2.0.65 you have bigger problems than mod_security is going solve and you should also have this.
http://people.apache.org/~gsmith/httpd/binaries/modules/mod_rangecnt-improved/apache_2.0.x-mod_rangecnt.zip

For best security, switch to the latest 2.4
Back to top
vmarian



Joined: 25 Mar 2017
Posts: 2

PostPosted: Mon 27 Mar '17 22:53    Post subject: Reply with quote

Thanks Gregg, your help is much appreciated, will give it a try.
Back to top


Post new topic   Reply to topic    Apache Forum Index -> Apache third-party Modules
Page 1 of 1